Do no use predictable temp file names, but mktemp
patch by Tatsuya Kinoshita
Debian bug #668779
---
 texmf-dist/scripts/latex2man/latex2man |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- texlive-extra-2018.20181211.orig/texmf-dist/scripts/latex2man/latex2man
+++ texlive-extra-2018.20181211/texmf-dist/scripts/latex2man/latex2man
@@ -31,8 +31,6 @@ sub date2str;
 $VERSION = "1.29";
 $DATE    = date2str ('$Date: 2018/11/25 13:05:37 $' =~ m|(\d+/\d+/\d+)|);
 
-$tmp = "/tmp/$CMD.$$";
-
 ##################################################################
 # check option and arguments
 ##################################################################
@@ -2017,6 +2015,8 @@ if ($opt_t) {
 
 open (my $SRC, "<$SrcFile") || die "$CMD: Can't open file \`$SrcFile' for reading.\n";
 if ($opt_H || $opt_T) {
+    $tmp = `mktemp` || die;
+    chomp $tmp;
     # DestFile will be written in the postprocess
     open (DEST, ">$tmp")      || die "$CMD: Can't open file \`$tmp' for writing.\n";
 } else {
